#include "config.h"
#include "mystring.h"
#include <unistd.h>

#ifndef HAVE_GETHOSTNAME
int gethostname(char *name, size_t len);
#endif
#ifndef HAVE_GETDOMAINNAME
int getdomainname(char *name, size_t len);
#endif

static mystring hostname_cache;
static mystring domainname_cache;

mystring hostname()
{
  if(!hostname_cache) {
    char buf[256];
    gethostname(buf, 255);
    hostname_cache = buf;
  }
  return hostname_cache;
}

mystring domainname()
{
  if(!domainname_cache) {
    char buf[256];
    getdomainname(buf, 255);
    domainname_cache = buf;
  }
  return domainname_cache;
}
